Subject: Re: pwd command output
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: Cesare Giuliani <[email-masked]>
Date: Thu, 30 Sep 1999 14:50:33 -0400

On Thu, Sep 30, 1999 at 09:31:10AM -0700, Earnie Boyd wrote:
>> I am using the 19990922 snapshot and I noticed that running the
>> pwd command inside the bash I got the following outputs:
>> 
>> /             if I am on the C: drive
>> /cygdrive/d   if I am on the D: drive
>> /cygdrive/e   if I am on the E: drive
> 
>BTW, I'm thinking that the cygdrive text is stored in the registry and could be
>changed to what you want.  I can't verify that at this time but you could look
>using RegEdit.  The /cygdrive/ was added to change the // due to problems with
>Win32 thinking it was referencing a network drive.  It could have just as well
>have been made an error if the drive isn't mounted rather than defaulting to
>anything at all.

If you use the mount.exe that comes with the snapshot (read the instructions
at the top of the download web page) then you can change the /cygdrive to
something else using mount.

I always *strongly* discourage people from mucking with the registry when
there are standard programs available to provide this.

-Chris Faylor
-Cygwin Manager
-Cygnus Solutions

--
Want to unsubscribe from this list?
Send a message to [email-masked]